=== debian/changelog ===
alien (3.3) frozen; urgency=low

  * Fixed a bug that made alien choke on rpm files that had a version number
    or release number of 0. Releasing only to frozen, because there is a
    newer version in unstable.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 7 May 1997 15:17:12 -0400

alien (3.2) frozen unstable; urgency=low

  * Fixed bug that was preventing alien from figuring out the version number
    of a tar file. (#8284)
  * Man page fixes, related to #8284.
  * Fixed a bug, present since 3.0, which was messing up conffile detection.
  * Removed README.debian. (It just pointed users to the man page, which is
    rather pointless.)

 -- Joey Hess <joeyh@master.debian.org>  Mon, 24 Mar 1997 14:03:04 -0500

alien (3.1) unstable; urgency=low

  * Force package names to lowercase.
  * Fixed --noinstall option.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 17 Mar 1997 18:35:46 -0500

alien (3.00) unstable; urgency=low

  * Rewrote alien in perl.
  * Command line options can be specified in any order.
  * -ppatch will no longer work. use --patch=<patchfile> instead.
  * Improved usage help.
  * Include extended description from rpm, if available.
  * Fixed a bug with descriptions/summaries/changelogs/copyrights on rpms
    that contained the '/' character crashing alien.
  * Increment revision number of rpms when they are alianized.
  * Recommends: cpio becuase it is needed for rpm2cpio extraction.
  * Patch files do not have to be compressed.
  * Routine update of debian/rules:
    Clean up junk files in subdirs.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 7 Mar 1997 16:08:02 -0500

alien (2.82) unstable; urgency=low

  * Use CHANGELOGTEXT, not CHANGELOG, when querying rpm files for
    changelogs. Fixes bug #7445.
  * Modification to work with rpm verison 2.3.7. This breaks compatability
    with previous versions of rpm. Modified control file to reflect this.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 25 Feb 1997 21:09:18 -0500

alien (2.81) unstable; urgency=low

  * Corrected maintainer in debian/control.
  * Routine update of debian/rules:
    Modifications for multiple binary package support.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 7 Feb 1997 22:25:40 -0500

alien (2.80) unstable; urgency=low

  * Added a patch file for Applixware.
  * I'm looking for patch files for other commercial software, to add to the
    package. If you own commerical linux software and would like to
    contribute a patch, please contact me.

  * Generated debian/rules files will no longer pass package name to debstd
    (And neither does the debian/rules file for this package.)
  * Added -s switch for low disk space situations.
  * Added -i switch to build a package but not install it.
  * Added long options (--option), as I can never remember the short ones.
  * Fixed bug in guessing name of patch file to use.
  * Fixed bug that would not let you specify a patch file in the current
    directory, or a relative path to a patch file.
  * Don't use /etc/rpmrc as an indiciation of whether rpm is present, as 
    this is a conffile, and might be deleted. Test for actual rpm binary.
  * More friendly error message if patch file is not found, suggesting that
    you try -n option.
  * Rewrote the code that figures out information about the rpm files so it
    uses rpm --queryformat to determine everything.
  * If a rpm has a changelog, add it to the end of debian/changelog.
  * Add summary to the Description: field of generated control files.
  * Add info from a rpm's copyright field to to the copyright file.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 30 Jan 1997 20:35:10 -0500

alien (2.79) unstable; urgency=low

  * New maintainer.
  * Updated man page with new author info.
  * Changes to debian/rules to make current maintainer more comfortable.
  * Improvements to follow when I find the time..

 -- Joey Hess <joeyh@master.debian.org>  Mon, 27 Jan 1997 20:54:47 -0500

alien (2.78) unstable; urgency=low

  * Corrected Priority
  * Cleanup debmake remnants

 -- Christoph Lameter <clameter@debian.org>  Sat, 25 Jan 1997 10:51:48 -0800

alien (2.77) unstable; urgency=low

  * alien source package completely split off from debmake. Looking for a
    new maintainer to provide some fresh ideas.

 -- Christoph Lameter <clameter@debian.org>  Sat, 25 Jan 1997 10:23:21 -0800

debmake (2.76) unstable; urgency=low

  * debstd: Multi-binary support: Generate necessary subdirectories on the
    fly from files names subpackage.filename (if such files exist) to comply
    with Policy. This results in an alternate way of storing files for
    sub-package generation. Remember to erase those directories in the
    rules file if using this scheme!

 -- Christoph Lameter <clameter@debian.org>  Sat, 25 Jan 1997 09:04:21 -0800

debmake (2.75) unstable; urgency=low

  * debchange: Fix bug introduced in 2.74
  * debstd: support for configure script
  * adpkg: support for package configuration before installation

 -- Christoph Lameter <clameter@debian.org>  Fri, 24 Jan 1997 13:17:49 -0800

debmake (2.74) unstable; urgency=low

  * debstd: Output warning if scripts do not use /bin/sh as its interpreter
    #6062
  * bug: default to ae editor if joe is not present #5675, #6811
  * debchange: default to ae editor if joe is not present #6794

 -- Christoph Lameter <clameter@debian.org>  Thu, 23 Jan 1997 21:47:39 -0800

debmake (2.73) unstable; urgency=low

  * made dependant on perl
  * Description in control file updated
  * debchange: automatically rename native debian package directories on generating
    the next version. Fixes some problems with warnings at package
    generation time.
  * alien: some minor fixes update of manpage.
  * Document nodeps option of debstd
  * Fixes to the way uupdate recognizes new version numbers (again!)

 -- Christoph Lameter <clameter@debian.org>  Mon, 20 Jan 1997 19:51:11 -0800

debmake (2.72) unstable; urgency=low


