=== debian/control ===
Source: alien
Section: admin
Priority: extra
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.1.2.2

Package: alien
Architecture: all
Section: admin
Depends: debmake, perl
Recommends: rpm, cpio
Conflicts: rpm (<< 2.3.7)
Description: Install RedHat and Slackware Packages with dpkg.
 Allows the integration of packages from other sources (Red Hat, Slackware etc)
 called "Aliens". This is a tool only suitable for binary packages.
