=== debian/control ===
Source: alien
Section: admin
Priority: extra
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.4.0.0

Package: alien
Architecture: all
Section: admin
Depends: debhelper, perl
Recommends: rpm (>= 2.4.4-2), dpkg-dev, make
Suggests: patch
Description: Install Red Hat and Slackware Packages with dpkg.
 Alien allows you to convert Red Hat and Slackware Packages into Debian
 packages, which can be installed with dpkg. 
 .
 It can also convert into Slackware and Red Hat packages.
 .
 This is a tool only suitable for binary packages.
