## alien 6.18

=== Makefile ===
--- 
+++ 
@@ -54,6 +54,15 @@
 rpm:
 	sudo rpm -ba -v alien.spec --buildarch noarch
 
-dist: debian localdist rpm
+stampede:
+	if [ `hostname` = 'kite' ] ; then \
+		fakeroot alien --to-slp ../alien_$(VER)_all.deb ; \
+		rm -f /home/ftp/pub/code/alien/*.slp ; \
+		mv alien-$(VER).slp /home/ftp/pub/code/alien/ ; \
+		ln -s /home/ftp/pub/code/alien/alien-$(VER).slp \
+			/home/ftp/pub/code/alien/alien.slp ; \
+	fi
+
+dist: debian localdist stampede rpm
 
 .PHONY: debian
