=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	dh_testroot
 	dh_clean
 	$(MAKE) DESTDIR=debian/tmp install
-	dh_installdocs README
+	dh_installdocs README gendiff.txt
 	dh_installexamples
 	dh_installmenu
 	dh_installmanpages
