=== debian/changelog ===
alien (6.54) unstable; urgency=low

  * Added metrolink motif diffs from
    Andreas Voegele <andreas.voegele@nikocity.de>

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Jan 2000 13:57:47 -0800

alien (6.53) unstable; urgency=low

  * Fixed the problem I thought I fixed in 6.50. Hmm. Closes: #52402

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Dec 1999 10:21:43 -0800

alien (6.52) unstable; urgency=low

  * Added (very simple) build dep.

 -- Joey Hess <joeyh@debian.org>  Fri,  3 Dec 1999 23:34:10 -0800

alien (6.51) unstable; urgency=low

  * Fixes to my build system.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Dec 1999 14:19:52 -0800

alien (6.50) unstable; urgency=low

  * Fixed problem with relocatable packages, and probably several other
    unrelated problems that were introduced last version.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Dec 1999 13:52:55 -0800

alien (6.49) unstable; urgency=low

  * Removed an obsolete note from the man page.
  * Set locale to C while using rpm to pick at the .rpm file we are going to
    convert, Closes: #42282
  * Moved /usr/lib/alien to /usr/share/alien
  * Added --nopatch option, Closes: #47069

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Nov 1999 12:42:00 -0800

alien (6.48) unstable; urgency=low

  * Patch from Benjamin Cant <ben@aegis.hands.com> to make it work even if
    there is no space after control file lines in a debian package.

 -- Joey Hess <joeyh@debian.org>  Thu, 23 Sep 1999 11:41:59 -0700

alien (6.47) unstable; urgency=low

  * Now FHS compliant. But the packages it builds will probably not be..

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 14:25:01 -0700

alien (6.46) unstable; urgency=low

  * Fixed alien.slp file generation.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Sep 1999 23:49:10 -0700

alien (6.45) unstable; urgency=low

  * Checked into cvs. Added a fixlinks script to generate all symlinks.
  * Integrated into my build system for automatic home page updates.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Sep 1999 23:17:50 -0700

alien (6.44) unstable; urgency=low

  * Depend on cpio. It is used in the rpm unpack phase after all, since
    alien uses rpm2cpio (Closes: #38969)

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Jul 1999 11:15:38 -0700

alien (6.43) unstable; urgency=low

  * Now depends on perl5 | perl, I'll kill the | perl bit later on, but it
    seems to make sense for the transition.

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Jul 1999 10:57:20 -0700

alien (6.42) unstable; urgency=low

  * Don't call dh_fixperms. As bug #36700 points out, some things you'll
    want to convert have odd permissions intentionally. I suppose this
    change will make a lot of stuff that has odd permissions accidentially
    come through with bad perms, but that's life..

 -- Joey Hess <joeyh@debian.org>  Mon, 28 Jun 1999 15:51:37 -0700

alien (6.41) unstable; urgency=low

  * Fixed the makefile so it doesn't keep files owned by 500.500.
  * --version, -v works.

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Jun 1999 11:30:22 -0700

alien (6.40) unstable; urgency=low

  * D'oh corrected powerpc problem.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Jun 1999 10:41:46 -0700

alien (6.39) unstable; urgency=low

  * When converting from rpm, ppc -> powerpc (Closes: #39550), patch by
    Chris Lawrence <lawrencc@debian.org>

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Jun 1999 09:12:03 -0700

alien (6.38) unstable; urgency=low

  * Disable localization when getting the rpm --version output.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 May 1999 14:55:29 -0700

alien (6.37) unstable; urgency=low

  * If the package that is being made into a deb has a release with no
    number in it, dpkg-deb barfs, so add "-1" to the release in that
    case. (#3755)

 -- Joey Hess <joeyh@debian.org>  Sun, 16 May 1999 17:44:01 -0700

alien (6.36) unstable; urgency=low

  * Updated XBF-i740 xserver diff.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 May 1999 13:44:03 -0700

alien (6.35) unstable; urgency=low

  * Fixed rpm minor version test.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 May 1999 13:35:18 -0700

alien (6.34) unstable; urgency=low

  * Adjusted the rpm version test - rpm 2.92 and above need --target.

 -- Joey Hess <joeyh@debian.org>  Fri, 30 Apr 1999 13:04:03 -0700

alien (6.33) unstable; urgency=low

  * Fixes for rpm 3.0:
    - Since rpm --showrc has changed to a format that is now very 
      difficult to machine parse for the topdir value, don't. Instead,
      force rpm to output the rpm into the cirrent directory. This is
      more consistent anyway.
    - Detect rpm version and use --target or --buildarch appropriatly.
    - Fixed alien.rpm's own build process to work again (stupid macro
      substitutions...).

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 1999 13:20:27 -0700

alien (6.32) unstable; urgency=low

  * Dropped in diff files for the XBF-i740 xserver, thanks to Agustn
    Martn <agmartin@aq.upm.es>

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Apr 1999 12:57:54 -0700

alien (6.31) unstable; urgency=low

  * Actually included the fixed file to make the relocatrable packages work.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 1999 14:14:27 -0700

alien (6.30) unstable; urgency=low

  * Fixed applix 4.4.1 menu.
  * Fixed a problem with converting relocatable packages that contained
    the directory they claimed they could relocate into. This fixes the
    problem someone was having converting a Glide rpm - I forget who.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 1999 00:02:53 -0700

alien (6.29) unstable; urgency=low

  * You don't need to be root to run alien -g or alien -s, so disabled the
    check there.
  * Removed extraneous install -d in debian/rules template file.
  * Added support for applix 4.4.1.
  * Fixed patch support, it's been broken.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Apr 1999 19:43:51 -0700

alien (6.28) unstable; urgency=low

  * Don't call dh_installmanpages when converting to .deb, it can do the 

