=== debian/control ===
Source: alien
Section: admin
Priority: extra
Build-Depends-Indep: debhelper
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.1.1.1

Package: alien
Architecture: all
Section: admin
Depends: debhelper (>= 0.88), perl5 | perl (>= 5.004), rpm (>= 2.4.4-2), dpkg-dev, make, cpio
Suggests: patch, bzip2
Description: Install Red Hat, Stampede, and Slackware Packages with dpkg.
 Alien allows you to convert Red Hat, Stampede and Slackware Packages into
 Debian packages, which can be installed with dpkg. 
 .
 It can also convert into Slackware, Red Hat, and Stampede packages.
 .
 This is a tool only suitable for binary packages.
