## alien 8.05

=== debian/changelog ===
alien (8.05) unstable; urgency=low

  * Support rpms with a description consisting of just blank lines.

 -- Joey Hess <joey@kitenet.net>  Mon,  1 Apr 2002 13:36:45 -0500

alien (8.04) unstable; urgency=low

  * Fixed an unfortunate typo in Rpm.pm, Closes: #140742

 -- Joey Hess <joey@kitenet.net>  Sun, 31 Mar 2002 23:05:30 -0500

alien (8.03) unstable; urgency=low

  * Should avoid warning message, Closes: #140286
  * README and description updates.

 -- Joey Hess <joey@kitenet.net>  Thu, 28 Mar 2002 14:27:10 -0500

alien (8.02) unstable; urgency=low

  * Made more robust in the face of empty rpms. Closes: #138969

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Mar 2002 11:29:23 -0500

alien (8.01) unstable; urgency=low

  * The "vmware and dpkg on drugs" release.
  * If a preinstall script in a rpm starts like this:
    # BEGINNING_OF_POST_DOT_SH
    #!/bin/sh
    Add anther hashbang at the top, so dpkg doesn't croak on it.
    Closes: #137032

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Mar 2002 12:57:06 -0500

alien (8.00) unstable; urgency=low

  * LSB package support. It can generate LSB packages (not guarenteed
    fully conformant with the LSB), and it can take LSB packages and convert
    them into other formats. Unlike all the other conversions, lsb packages's
    dependancy (on lsb) and their package scripts are preserved in the
    generated packages (when allowed by the target package format). This means
    your distribution will need to have a package named 'lsb' for the result
    to be installable. (Debian will have one soon..)
  * Suggest rpm-lsb, which is the preferred rpm to build lsb packages with.
    Use it if it's present, plain old rpm otherwise.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Feb 2002 12:55:42 -0500

alien (7.32) unstable; urgency=low

  * Support ancient (bo-era) debs with upper-case field names. Closes: #130736

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Jan 2002 23:38:57 -0500

alien (7.31) unstable; urgency=low

  * Use --target noarch instead of --target=noarch when building rpms.
    The latter used to work, but no longer does, due to some change in rpm or
    popt. It also has to come after the -bb.
  * Trap stderr of rpm and debian/rules building packages, and only display if
    the build fails.

 -- Joey Hess <joeyh@debian.org>  Fri,  4 Jan 2002 13:53:04 -0500

alien (7.30) unstable; urgency=low

  * Thanks to the excellent work of Mark A. Hershberger <mah@everybody.org>,
    alien now supports converting to and from Solaris "pkg" packages (which
    are really SysV packages). You probably need to run it on Solaris for this
    to work, though. This brings the number of possible conversions alien can
    do up from 12 to a monstrous 20!
  * Mark also had to patch Deb.pm a bit so the by-hand deb extraction could
    work with solaris's ar and tar.
  * Documented the EMAIL environment variable. Closes: #116754
  * Threw out a lot of old patches, circa 1999. Probably useless today.
  * When converting to debs, move files as follows, if possible, for better 
    FHS compliance:
  	/usr/man	=> /usr/share/man
        /usr/info	=> /usr/share/info
        /usr/doc'	=> /usr/share/doc
  * Also moves files as follows, to avoid possibly confusing dpkg with
    installing over symlinks (?). Closes: #40012
        /usr/bin/X11 should be /usr/X11R6/bin
        /usr/lib/X11 should be /usr/X11R6/lib/X11
        /usr/include/X11 should be /usr/X11R6/include/X11
  * Reverse these moves in the cleantree stage.
  * Debian users who have installed alien packages in the past may want to
    re-convert and reinstall them, to take advantage of the new FHS
    conversions.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Oct 2001 20:53:33 -0400

alien (7.27) unstable; urgency=low

  * Moved as many system calls as I can over to shellless execution.
    There are still a lot that use shell tricks. Should deal with screwey
    rpms and file names better though. Closes: #105283
  * Display build logs after build failures.

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Jul 2001 10:16:20 -0400

alien (7.25) unstable; urgency=low

  * Treat 'armv4l' arch rpm's as arm architecture.

 -- Joey Hess <joeyh@debian.org>  Mon, 18 Jun 2001 13:40:20 -0400

alien (7.24) unstable; urgency=low

  * Patch from Raul Miller <moth@debian.org> to make it use gzip -dc | tar
    everywhere it used to use tar zxvf. The problem with the latter is
    that, on Red Hat anyway, when tar is reading from stdin, tar or gzip
    seems to be broken, and tar does not see an end-of-file marker, causing
    alien to hang when converting rpms to debs. Closes: #96200

 -- Joey Hess <joeyh@debian.org>  Wed,  9 May 2001 11:09:16 -0400

alien (7.23) unstable; urgency=low

  * Moved files out of perl privlib, Closes: #95512

 -- Joey Hess <joeyh@debian.org>  Sat, 28 Apr 2001 23:15:18 -0400

alien (7.22) unstable; urgency=low

  * Modification to match changes in rpm 4's parser; need to use
    --target=noarch, rather than --target noarch.

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2001 13:43:56 -0700

alien (7.21) unstable; urgency=low

  * Deal with empty /etc/mailname, Closes: #90727

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Mar 2001 14:19:17 -0800

alien (7.20) unstable; urgency=low

  * Updated to use debhelper v3 when converting packages. This
    automatically should make it start adding ldconfig calls
    as appropriate to maintainer scripts. Closes: #86088
  * It does mean you need debhelper 3.x for alien to convert to 
    deb now, so alien-extra will need an update.
  * Rebuilt with newer perl, so it will work with newer perl (bug filed;
    this should not have been necessary).

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Feb 2001 15:33:07 -0800

alien (7.18) unstable; urgency=low

  * Build with debhelper v3.

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Feb 2001 17:58:55 -0800

alien (7.17) unstable; urgency=low

  * Munge in #!/bin/sh entries at the top of rpm maintainer 

