=== debian/control ===
Source: alien
Section: admin
Priority: optional
Build-Depends-Indep: debhelper (>= 3)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.5.6.1

Package: alien
Architecture: all
Section: admin
Depends: debhelper (>= 3), ${perl:Depends}, rpm (>= 2.4.4-2), dpkg-dev, make, cpio
Suggests: patch, bzip2, lsb-rpm
Description: install non-native packages with dpkg
 Alien allows you to convert LSB, Red Hat, Stampede and Slackware Packages
 into Debian packages, which can be installed with dpkg.
 .
 It can also generate packages of any of the other formats.
 .
 This is a tool only suitable for binary packages.
