=== debian/rules ===
#!/usr/bin/make -f

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	perl Makefile.PL
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	perl Makefile.PL
	-$(MAKE) realclean
	dh_clean

binary-arch: build

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) pure_install INSTALLDIRS=vendor \
		PREFIX=$(shell pwd)/debian/alien/$(shell perl -MConfig -e 'print $$Config{prefix}') \
		VARPREFIX=$(shell pwd)/debian/alien
	# Why does it make this empty directory? Sigh.
	rm -rf debian/alien/usr/lib
	dh_installdocs README gendiff.txt
	dh_installexamples
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')

# Update the web page. Not intended for use by anyone except the author.
installhook:
	cp debian/changelog /home/pub/programs/alien/CHANGES
	echo -n $(VERSION) > /home/pub/programs/alien/LATEST-VERSION-IS
	rm /home/ftp/pub/code/alien/* || true
	cd /home/ftp/pub/code/alien; \
		ln -sf ../debian/alien_$(VERSION).tar.gz alien_$(VERSION).tar.gz; \
		ln -sf ../debian/alien_$(VERSION).tar.gz alien.tar.gz

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
