## alien 8.44

=== debian/changelog ===
alien (8.44) unstable; urgency=low

  * Don't add line about permissions fixup code to postinst if there is not
    code to add.
  * Don't assume that just because we know of a user or are root, that files
    can go into the deb owned by that user, and come out right on install.
    Instead, assume that any non-root user will not be on the target system
    the rpm is installed on, and that it might be created in the preinst or
    something, so add permissions fixup code for all such users.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Mar 2004 22:51:48 -0500

alien (8.43) unstable; urgency=low

  * Added a new j2sdk_1.4.2_03-1.diff from Gerald Turner.

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Jan 2004 20:05:17 -0500

alien (8.42) unstable; urgency=low

  * Do not register conffiles in /etc when generating a deb; debhelper v3
    takes care of that.

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jan 2004 22:25:48 -0500

alien (8.41) unstable; urgency=low

  * Generate a build tree on request even when the source and dest formats are
    the same. Closes: #222311

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Nov 2003 18:29:29 -0500

alien (8.40) unstable; urgency=low

  * Include the version of alien that generated a deb or rpm in the
    description. Closes: #220763
  * Also put it in the changelog of debian packages.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Nov 2003 20:57:44 -0500

alien (8.39) unstable; urgency=low

  * Fix a couple more mistakes in the code added in 8.36.

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Nov 2003 21:53:36 -0500

alien (8.38) unstable; urgency=low

  * Fix a couple of typos in the code added in 8.36; it should actually work
    now.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Nov 2003 16:21:40 -0500

alien (8.37) unstable; urgency=low

  * Make sure the working directory's subdirs have sane modes before trying
    to delete it, in case it has unwritable dirs and alien is not running
    as root. Closes: #217330

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Oct 2003 15:45:31 -0500

alien (8.36) unstable; urgency=low

  * Patch from aj to fix permissions of setuid files that have their owners
    created in the preinst.
  * Alien's repository has moved from CVS to subversion.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Oct 2003 16:04:17 -0400

alien (8.35) unstable; urgency=low

  * Move from build-depends-indep to build-depends, to meet current policy.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Sep 2003 12:14:58 -0400

alien (8.34) unstable; urgency=low

  * Fixed changelog parsing regexp. Noticed by Gerald Turner who is sure
    turning up in this changelog a lot.
  * Updated j2sdk patch fixes some ControlPanel shell script
    incompatabilities. Closes: #200731

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Jul 2003 20:35:09 +0200

alien (8.33) unstable; urgency=low

  * Added a new j2sdk patch that does not rename the package.

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Jul 2003 19:49:25 -0400

alien (8.32) unstable; urgency=low

  * Removed the two newest j2sdk patches, which both rename the package,
    breaking alien -i. Closes: #199992

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Jul 2003 19:44:45 -0400

alien (8.31) unstable; urgency=low

  * Updated the j2sdk patch for version 1.4.2. (From Gerald Turner.)

 -- Joey Hess <joeyh@debian.org>  Mon, 30 Jun 2003 20:55:10 -0400

alien (8.30) unstable; urgency=low

  * Added -v to enable verbose mode, which lists each shell command
    as it is run. Also added --veryverbose for verbose with command
    output too.
  * Use -V for version. (-v used to be documented, but never worked)

 -- Joey Hess <joeyh@debian.org>  Wed, 14 May 2003 00:12:00 -0400

alien (8.26) unstable; urgency=low

  * alien.spec: pass PREFIX to Makefile.PL so it works on systems 
    (such as red hat 8) where the generated Makefile does not use
    $PREFIX in all paths.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Apr 2003 23:12:32 -0400

alien (8.25) unstable; urgency=low

  * Support rpms that contain no files. Closes: #184714

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Mar 2003 21:34:33 -0800

alien (8.24) unstable; urgency=low

  * Corrected precidence problem that made alien not catch mkdir of the work
    directory failing if the directory already existed (and let it delete the
    existing directory). Closes: #181061
  * Fixed several other instances of the same precidence problem in the code.

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Feb 2003 14:18:44 -0500

alien (8.23) unstable; urgency=low

  * Updated j2sdk patch again.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Feb 2003 22:51:11 -0500

alien (8.22) unstable; urgency=low

  * Use rpmbuild -bb instead of rpm -bb, as it seems that rpm -bb has stopped
    working in recent versions of rpm, as shipped by red hat (Debian's rpm,
    confusingly, continues to support rpm -bb, possibly because of how I hack
    its popt stuff up for debian.) This may fail with older, pre-rpmbuild
    rpm's; if so you should upgrade to a more current version I guess.
  * Updated js2k patch from Gerald Turner.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Feb 2003 14:35:40 -0500

alien (8.21) unstable; urgency=low

  * Pach from Erwan MAS <erwan@mas.nom.fr> that allows specification of the
    version of a tgz file, for files that don't have a parseable version
    number. For consistency with --description, I made the otpino be called
    --version -- if no argument is specified to this option, it retains its
    old behavior of displaying alien's version, but it is now overloaded
    if given an argument. Closes: #165584

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Oct 2002 20:51:51 -0400

alien (8.20) unstable; urgency=low

  * Added support inspired by aj for converted rpm packages that create
    users/groups in their preinst, and which alien therefore cannot ship the
    files with proper ownerships in the .deb. In this case alien will now
    insert appropriate chown commands into the postinst script of the

