## alien 8.50

=== debian/changelog ===
alien (8.50) unstable; urgency=low

  * Recognise udebs and treat them like debs. Closes: #284693

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Dec 2004 16:20:42 -0500

alien (8.49) unstable; urgency=low

  * Add support for config files in relocatale directories. Relocate
    filenames in the conffiles list. Closes: #283774
  * Correct permissions fixup code for parent directories from rpms to
    take the umask into account when searching for such directories. And
    make such directories mode 755, not 700. Closes: #271903

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 2004 16:09:11 -0500

alien (8.48) unstable; urgency=low

  * Support cross-building rpms, output rpm should always be same arch as
    input package now.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Nov 2004 17:35:28 -0500

alien (8.47) unstable; urgency=low

  * x86_64 rpms become amd64 debs
  * Add new java 1.5.0 diffs from Gerald Turner.
  * Clean out old j2sdk diffs.

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 2004 13:59:49 -0400

alien (8.46) unstable; urgency=low

  * Unset _unpackaged_files_terminate_build when building rpms, at least SuSE
    sets this, which breaks alien due to its placement of the spec file in the
    build directory.

 -- Joey Hess <joeyh@debian.org>  Sun,  1 Aug 2004 20:50:37 -0400

alien (8.45) unstable; urgency=low

  * Run dh_clean with -d to avoid cleaning up any oddly named files from rpms,
    like .orig files. Closes: #261964

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Jul 2004 13:14:39 -0400
