## alien 8.51

=== debian/changelog ===
alien (8.51) unstable; urgency=low

  * In rpm unpack permission fixup code, do not call chmod on symlinks,
    as it will follow the links.

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Mar 2005 16:21:14 -0500
