=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,12 @@
 #!/usr/bin/make -f
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
 
 build: build-stamp
 build-stamp:
 	dh_testdir
 	perl Makefile.PL
 	$(MAKE)
+	# simple smoke test
+	./alien.pl -V
 	touch build-stamp
 
 clean:
@@ -46,13 +42,12 @@
 VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
 
 # Update the web page. Not intended for use by anyone except the author.
+DIR=/home/web/kitenet.net/programs/alien
 installhook:
-	cp debian/changelog /home/pub/programs/alien/CHANGES
-	echo -n $(VERSION) > /home/pub/programs/alien/LATEST-VERSION-IS
-	rm /home/ftp/pub/code/alien/* || true
-	cd /home/ftp/pub/code/alien; \
-		ln -sf ../debian/alien_$(VERSION).tar.gz alien_$(VERSION).tar.gz; \
-		ln -sf ../debian/alien_$(VERSION).tar.gz alien.tar.gz
+	cp debian/changelog $(DIR)/CHANGES
+	echo -n $(VERSION) > $(DIR)/LATEST-VERSION-IS
+	rm -f $(DIR)/*.tar.gz
+	ln -sf /home/joey/lib/debian/unstable/alien_$(VERSION).tar.gz $(DIR)
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary
